<?php
class NotFoundPage implements IPage {
	public static function getInstance() {
		return new NotFoundPage(new Header(), new View());
	}
	private $header;
	private function __construct(Header $header, View $view) {
		$this->header = $header;
		$this->view = $view;
	}
	public function process() {
		$this->header->pageNotFound();
		$twig = new TwigWrapper();
		$data = array();
		return $twig->render('page_404.html', $data);
	}
}
